# PhasicFlow: insertion Class Reference

insertion Class Referenceabstract
Inheritance diagram for insertion:
[legend]
Collaboration diagram for insertion:
[legend]

## Public Member Functions

| TypeInfo ("insertion")
| insertion (particles &prtcl)
virtual | ~insertion ()=default
bool | isActive () const
virtual bool | read (iIstream &is)=0
virtual bool | write (iOstream &os) const =0

## Protected Member Functions

bool | readInsertionDict (const dictionary &dict)
bool | writeInsertionDict (dictionary &dict) const

## Protected Attributes

Logical | active_ = "No"
Logical | checkForCollision_ = "No"
particles & | particles_

## Detailed Description

Definition at line 33 of file insertion.hpp.

## Constructor & Destructor Documentation

## insertion()

insertion | ( | particles & | prtcl | ) |

Definition at line 69 of file insertion.cpp.

## ~insertion()

virtual ~insertion | ( |  | ) |

virtualdefault

## Member Function Documentation

## readInsertionDict()

bool readInsertionDict | ( | const dictionary & | dict | ) |

protected

Definition at line 28 of file insertion.cpp.

References endREPORT, dictionary::getVal(), REPORT, and yellowText.

Here is the call graph for this function:

## writeInsertionDict()

bool writeInsertionDict | ( | dictionary & | dict | ) | const

protected

Definition at line 47 of file insertion.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "insertion" |  | ) |

## isActive()

bool isActive | ( |  | ) | const

inline

Definition at line 60 of file insertion.hpp.

References insertion::active_.

## read()

virtual bool read | ( | iIstream & | is | ) |

pure virtual

Implemented in Insertion< ShapeType >.

## write()

virtual bool write | ( | iOstream & | os | ) | const

pure virtual

Implemented in Insertion< ShapeType >.

## Member Data Documentation

## active_

Logical active_ = "No"

protected

Definition at line 37 of file insertion.hpp.

Referenced by insertion::isActive().

## checkForCollision_

Logical checkForCollision_ = "No"

protected

Definition at line 40 of file insertion.hpp.

## particles_

particles& particles_

protected

Definition at line 43 of file insertion.hpp.

The documentation for this class was generated from the following files:

- src/Particles/Insertion/insertion/insertion.hpp
- src/Particles/Insertion/insertion/insertion.cpp